import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as wijmo from '@mescius/wijmo';
import * as input from '@mescius/wijmo.input';
//cultures
import "@mescius/wijmo.cultures/wijmo.culture.en.js";
import "@mescius/wijmo.cultures/wijmo.culture.en-GB.js";
import "@mescius/wijmo.cultures/wijmo.culture.es.js";
import "@mescius/wijmo.cultures/wijmo.culture.de.js";
import "@mescius/wijmo.cultures/wijmo.culture.it.js";
import "@mescius/wijmo.cultures/wijmo.culture.fr.js";
import "@mescius/wijmo.cultures/wijmo.culture.pt.js";
import "@mescius/wijmo.cultures/wijmo.culture.ru.js";
import "@mescius/wijmo.cultures/wijmo.culture.ja.js";
import "@mescius/wijmo.cultures/wijmo.culture.ko.js";
import "@mescius/wijmo.cultures/wijmo.culture.zh.js";
import "@mescius/wijmo.cultures/wijmo.culture.th.js";
wijmo.changeCulture("en");
//
document.readyState === 'complete' ? init() : window.onload = init;
//
function init() {
// select culture
let theCulture = new input.ComboBox('#theCulture', {
displayMemberPath: 'name',
itemsSource: [
{ name: 'English (US)', key: 'en' },
{ name: 'English (UK)', key: 'en-GB' },
{ name: 'Spanish', key: 'es' },
{ name: 'German', key: 'de' },
{ name: 'Italian', key: 'it' },
{ name: 'French', key: 'fr' },
{ name: 'Portuguese', key: 'pt' },
{ name: 'Russian', key: 'ru' },
{ name: 'Japanese', key: 'ja' },
{ name: 'Korean', key: 'ko' },
{ name: 'Chinese', key: 'zh-CN' },
{ name: 'Thai', key: 'th' }
],
selectedIndexChanged: (sender) => {
wijmo.changeCulture(sender.selectedItem.key)
.then(() => updateTables());
}
});
//
// initialize value and precision
let theValue = new input.InputNumber('#theValue', {
value: 1234.5678,
step: 1,
valueChanged: updateTables
});
let thePrecision = new input.InputNumber('#thePrecision', {
value: 2,
step: 1,
min: 0,
max: 10,
valueChanged: updateTables
});
//
// update the tables
updateTables();
//
function updateTables() {
// update dates
let theDate = new Date(), rows = document.body.querySelectorAll('#tblDates tbody tr');
//
for (let i = 0; i < rows.length; i++) {
let cells = rows[i].children, fmt = cells[0].textContent;
//
cells[2].textContent = wijmo.Globalize.format(theDate, fmt);
}
//
// update numbers
rows = document.body.querySelectorAll('#tblNumbers tbody tr');
for (let i = 0; i < rows.length; i++) {
let cells = rows[i].children, fmt = cells[0].textContent.replace('*', thePrecision.value.toString());
//
cells[2].textContent = wijmo.Globalize.format(theValue.value, fmt);
}
}
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Globalization/Formatting</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div class="container-fluid">
<div class="mb-3">
<label for="theCulture">Culture:</label>
<div id="theCulture">
</div>
</div>
<div class="card mb-3">
<div class="card-header">
Dates
</div>
<div class="card-body">
<table id="tblDates" class="table table-sm">
<thead>
<th>format</th>
<th>description</th>
<th>result</th>
</thead>
<tbody>
<tr>
<td><b>d</b></td>
<td>Short Date Pattern</td>
<td>xx</td>
</tr>
<tr>
<td><b>D</b></td>
<td>Long Date Pattern</td>
<td>xx</td>
</tr>
<tr>
<td><b>f</b></td>
<td>Full Date/Time Pattern (short time)</td>
<td>xx</td>
</tr>
<tr>
<td><b>F</b></td>
<td>Full Date/Time Pattern (long time)</td>
<td>xx</td>
</tr>
<tr>
<td><b>t</b></td>
<td>Short Time Pattern</td>
<td>xx</td>
</tr>
<tr>
<td><b>T</b></td>
<td>Long Time Pattern</td>
<td>xx</td>
</tr>
<tr>
<td><b>'Q'Q yyyy</b></td>
<td>Quarter/Year</td>
<td>xx</td>
</tr>
<tr>
<td><b>MMMM dd, yyyy</b></td>
<td>Custom format</td>
<td>xx</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="card">
<div class="card-header">
Numbers
</div>
<div class="card-body">
<div class="mb-3">
<label for="theValue" class="form-label">Value</label>
<div id="theValue">
</div>
</div>
<div class="mb-3">
<label for="thePrecision" class="form-label">Precision</label>
<div id="thePrecision">
</div>
</div>
</div>
<div class="card-body border-top">
<table id="tblNumbers" class="table table-sm">
<thead>
<th>specifier</th>
<th>description</th>
<th class="text-end">result</th>
</thead>
<tbody>
<tr>
<td><b>n*</b></td>
<td>Number</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>n*,</b></td>
<td>Number (thousands)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>n*,,</b></td>
<td>Number (millions)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>f*</b></td>
<td>Fixed-point</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>g*</b></td>
<td>General (no trailing zeros)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>d*</b></td>
<td>Decimal (integers)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>x*</b></td>
<td>Hexadecimal (integers)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>c*</b></td>
<td>Currency</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>c*€</b></td>
<td>Currency (explicit currency symbol)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>c*​</b></td> <!-- ​ is a zero-width space -->
<td>Currency (no currency symbol)</td>
<td class="text-end">xx</td>
</tr>
<tr>
<td><b>p*</b></td>
<td>Percent</td>
<td class="text-end">xx</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</body>
</html>
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.52-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
'bootstrap.css': 'pcdn:bootstrap@5.3.8/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import ReactDOM from 'react-dom/client';
import React, { useState } from 'react';
import useEvent from 'react-use-event-hook';
import * as wijmo from '@mescius/wijmo';
import * as wjInput from '@mescius/wijmo.react.input';
//cultures
import "@mescius/wijmo.cultures/wijmo.culture.en.js";
import "@mescius/wijmo.cultures/wijmo.culture.en-GB.js";
import "@mescius/wijmo.cultures/wijmo.culture.es.js";
import "@mescius/wijmo.cultures/wijmo.culture.de.js";
import "@mescius/wijmo.cultures/wijmo.culture.it.js";
import "@mescius/wijmo.cultures/wijmo.culture.fr.js";
import "@mescius/wijmo.cultures/wijmo.culture.pt.js";
import "@mescius/wijmo.cultures/wijmo.culture.ru.js";
import "@mescius/wijmo.cultures/wijmo.culture.ja.js";
import "@mescius/wijmo.cultures/wijmo.culture.ko.js";
import "@mescius/wijmo.cultures/wijmo.culture.zh.js";
import "@mescius/wijmo.cultures/wijmo.culture.th.js";
import './app.css';
const dateSamples = [
{ format: 'd', description: 'Short Date Pattern' },
{ format: 'D', description: 'Long Date Pattern' },
{ format: 'f', description: 'Full Date/Time Pattern (short time)' },
{ format: 'F', description: 'Full Date/Time Pattern (long time)' },
{ format: 't', description: 'Short Time Pattern' },
{ format: 'T', description: 'Long Time Pattern' },
{ format: "'Q'Q yyyy", description: 'Quarter/Year' },
{ format: 'MMMM dd, yyyy', description: 'Custom format' }
];
const numberSamples = [
{ specifier: 'n*', description: 'Number' },
{ specifier: 'n*,', description: 'Number (thousands)' },
{ specifier: 'n*,,', description: 'Number (millions)' },
{ specifier: 'f*', description: 'Fixed-point' },
{ specifier: 'g*', description: 'General (no trailing zeros)' },
{ specifier: 'd*', description: 'Decimal (integers)' },
{ specifier: 'x*', description: 'Hexadecimal (integers)' },
{ specifier: 'c*', description: 'Currency' },
{
specifier: 'c*€',
description: 'Currency (explicit currency symbol)'
},
{ specifier: 'c* ', description: 'Currency (no currency symbol)' },
{ specifier: 'p*', description: 'Percent' }
];
wijmo.changeCulture("en");
function App() {
const [count, setCount] = useState(0);
const [numValue, setNumValue] = useState(1234.5678);
const [precision, setPrecision] = useState(2);
const [selectedValue, setSelectedValue] = useState('en');
const forceUpdate = () => setCount(count + 1);
const formatDate = (format) => {
return wijmo.Globalize.format(new Date(), format);
};
const formatNumber = (specifier) => {
let format = specifier.replace('*', precision.toString());
return wijmo.Globalize.format(numValue, format);
};
const selectedCultureChanged = useEvent((sender) => {
if (sender.selectedValue) {
setSelectedValue(sender.selectedValue);
wijmo.changeCulture(sender.selectedValue)
.then(() => forceUpdate());
}
});
const numberValueChanged = useEvent((sender) => {
setNumValue(sender.value || numValue);
});
const precisionValueChanged = useEvent((sender) => {
setPrecision(sender.value || precision);
});
return (<div className="container-fluid">
<wjInput.Menu header='Culture' value={selectedValue} itemClicked={selectedCultureChanged}>
<wjInput.MenuItem value="en">English (US)</wjInput.MenuItem>
<wjInput.MenuItem value="en-GB">English (UK)</wjInput.MenuItem>
<wjInput.MenuItem value="es">Spanish</wjInput.MenuItem>
<wjInput.MenuItem value="de">German</wjInput.MenuItem>
<wjInput.MenuItem value="it">Italian</wjInput.MenuItem>
<wjInput.MenuItem value="fr">French</wjInput.MenuItem>
<wjInput.MenuItem value="pt">Portuguese</wjInput.MenuItem>
<wjInput.MenuItem value="ru">Russian</wjInput.MenuItem>
<wjInput.MenuItem value="ja">Japanese</wjInput.MenuItem>
<wjInput.MenuItem value="ko">Korean</wjInput.MenuItem>
<wjInput.MenuItem value="zh-CN">Chinese</wjInput.MenuItem>
<wjInput.MenuItem value="th">Thai</wjInput.MenuItem>
</wjInput.Menu>
<div className="card mb-3">
<div className="card-header">Dates</div>
<div className="card-body">
<table className="table table-sm">
<thead>
<tr>
<th>format</th>
<th>description</th>
<th>result</th>
</tr>
</thead>
<tbody>
{dateSamples.map((item, index) => {
return <tr key={index}>
<td>
<b>{item.format}</b>
</td>
<td>{item.description}</td>
<td>{formatDate(item.format)}</td>
</tr>;
})}
</tbody>
</table>
</div>
</div>
<div className="card">
<div className="card-header">Numbers</div>
<div className="card-body input-numbers">
<div className="mb-3">
<label htmlFor="theValue" className="form-label">Value</label>
<wjInput.InputNumber id="theValue" value={numValue} step={1} valueChanged={numberValueChanged}>
</wjInput.InputNumber>
</div>
<div className="mb-3">
<label htmlFor="thePrecision" className="form-label">Precision</label>
<wjInput.InputNumber id="thePrecision" step={1} min={0} max={10} value={precision} valueChanged={precisionValueChanged}>
</wjInput.InputNumber>
</div>
</div>
<div className="card-body">
<table className="table table-sm">
<thead>
<tr>
<th>specifier</th>
<th>description</th>
<th className="text-end">result</th>
</tr>
</thead>
<tbody>
{numberSamples.map((item, index) => (<tr key={index}>
<td>
<b>{item.specifier}</b>
</td>
<td>{item.description}</td>
<td className="text-end">{formatNumber(item.specifier)}</td>
</tr>))}
</tbody>
</table>
</div>
</div>
</div>);
}
const container = document.getElementById('app');
if (container) {
const root = ReactDOM.createRoot(container);
root.render(<App />);
}
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Globalization/Formatting</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.19.40/dist/system.src.js" integrity="sha512-G6mEj6h18+m3MvzdviSDfPle/TfH0//cXcB33AKlNR/Rha0yQsKefDZKRTkIZos97HEGq2JMV1RT5ybMoQ3WsQ==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
label {
margin-right: 3px;
}
(function (global) {
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true,
},
meta: {
'*.css': { loader: 'css' },
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.52-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.grid.immutable': 'cdn:@mescius/wijmo.grid.immutable/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.react.chart.analytics': 'cdn:@mescius/wijmo.react.chart.analytics/index.js',
'@mescius/wijmo.react.chart.animation': 'cdn:@mescius/wijmo.react.chart.animation/index.js',
'@mescius/wijmo.react.chart.annotation': 'cdn:@mescius/wijmo.react.chart.annotation/index.js',
'@mescius/wijmo.react.chart.finance.analytics': 'cdn:@mescius/wijmo.react.chart.finance.analytics/index.js',
'@mescius/wijmo.react.chart.finance': 'cdn:@mescius/wijmo.react.chart.finance/index.js',
'@mescius/wijmo.react.chart.hierarchical': 'cdn:@mescius/wijmo.react.chart.hierarchical/index.js',
'@mescius/wijmo.react.chart.interaction': 'cdn:@mescius/wijmo.react.chart.interaction/index.js',
'@mescius/wijmo.react.chart.radar': 'cdn:@mescius/wijmo.react.chart.radar/index.js',
'@mescius/wijmo.react.chart': 'cdn:@mescius/wijmo.react.chart/index.js',
'@mescius/wijmo.react.core': 'cdn:@mescius/wijmo.react.core/index.js',
'@mescius/wijmo.react.chart.map': 'cdn:@mescius/wijmo.react.chart.map/index.js',
'@mescius/wijmo.react.gauge': 'cdn:@mescius/wijmo.react.gauge/index.js',
'@mescius/wijmo.react.grid.detail': 'cdn:@mescius/wijmo.react.grid.detail/index.js',
'@mescius/wijmo.react.grid.filter': 'cdn:@mescius/wijmo.react.grid.filter/index.js',
'@mescius/wijmo.react.grid.grouppanel': 'cdn:@mescius/wijmo.react.grid.grouppanel/index.js',
'@mescius/wijmo.react.grid.search': 'cdn:@mescius/wijmo.react.grid.search/index.js',
'@mescius/wijmo.react.grid.multirow': 'cdn:@mescius/wijmo.react.grid.multirow/index.js',
'@mescius/wijmo.react.grid.sheet': 'cdn:@mescius/wijmo.react.grid.sheet/index.js',
'@mescius/wijmo.react.grid.transposed': 'cdn:@mescius/wijmo.react.grid.transposed/index.js',
'@mescius/wijmo.react.grid.transposedmultirow': 'cdn:@mescius/wijmo.react.grid.transposedmultirow/index.js',
'@mescius/wijmo.react.grid.immutable': 'cdn:@mescius/wijmo.react.grid.immutable/index.js',
'@mescius/wijmo.react.grid': 'cdn:@mescius/wijmo.react.grid/index.js',
'@mescius/wijmo.react.input': 'cdn:@mescius/wijmo.react.input/index.js',
'@mescius/wijmo.react.olap': 'cdn:@mescius/wijmo.react.olap/index.js',
'@mescius/wijmo.react.viewer': 'cdn:@mescius/wijmo.react.viewer/index.js',
'@mescius/wijmo.react.nav': 'cdn:@mescius/wijmo.react.nav/index.js',
'@mescius/wijmo.react.base': 'cdn:@mescius/wijmo.react.base/index.js',
'@mescius/wijmo.react.barcode.common': 'cdn:@mescius/wijmo.react.barcode.common/index.js',
'@mescius/wijmo.react.barcode.composite': 'cdn:@mescius/wijmo.react.barcode.composite/index.js',
'@mescius/wijmo.react.barcode.specialized': 'cdn:@mescius/wijmo.react.barcode.specialized/index.js',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
react: 'pcdn:react@19.0.0/index.js',
'react-dom': 'pcdn:react-dom@19.0.0/index.js',
'react-dom/client': 'pcdn:react-dom@19.0.0/client.js',
scheduler: 'pcdn:scheduler@0.25.0/index.js',
redux: 'pcdn:redux@5.0.1/dist/redux.legacy-esm.js',
'react-redux': 'pcdn:react-redux@9.2.0/dist/react-redux.legacy-esm.js',
'bootstrap.css': 'pcdn:bootstrap@5.3.8/dist/css/bootstrap.min.css',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
'react-use-event-hook': 'pcdn:react-use-event-hook@0.9.6/dist/esm/useEvent.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx',
},
node_modules: {
defaultExtension: 'js',
},
},
});
})(this);

import 'bootstrap.css';
import '@mescius/wijmo.styles/wijmo.css';
import './styles.css';
//
import * as wijmo from '@mescius/wijmo';
//
import '@angular/compiler';
import { Component, enableProdMode, ɵresolveComponentResources } from '@angular/core';
import { BrowserModule, bootstrapApplication } from '@angular/platform-browser';
import { WjInputModule } from '@mescius/wijmo.angular2.input';
//cultures
import '@mescius/wijmo.cultures/wijmo.culture.en.js';
import '@mescius/wijmo.cultures/wijmo.culture.en-GB.js';
import '@mescius/wijmo.cultures/wijmo.culture.es.js';
import '@mescius/wijmo.cultures/wijmo.culture.de.js';
import '@mescius/wijmo.cultures/wijmo.culture.it.js';
import '@mescius/wijmo.cultures/wijmo.culture.fr.js';
import '@mescius/wijmo.cultures/wijmo.culture.pt.js';
import '@mescius/wijmo.cultures/wijmo.culture.ru.js';
import '@mescius/wijmo.cultures/wijmo.culture.ja.js';
import '@mescius/wijmo.cultures/wijmo.culture.ko.js';
import '@mescius/wijmo.cultures/wijmo.culture.zh.js';
import '@mescius/wijmo.cultures/wijmo.culture.th.js';
//
@Component({
standalone: true,
imports: [WjInputModule, BrowserModule],
selector: 'app-component',
templateUrl: 'src/app.component.html',
})
export class AppComponent {
readonly dateSamples = [
{ format: 'd', description: 'Short Date Pattern' },
{ format: 'D', description: 'Long Date Pattern' },
{ format: 'f', description: 'Full Date/Time Pattern (short time)' },
{ format: 'F', description: 'Full Date/Time Pattern (long time)' },
{ format: 't', description: 'Short Time Pattern' },
{ format: 'T', description: 'Long Time Pattern' },
{ format: "'Q'Q yyyy", description: 'Quarter/Year' },
{ format: 'MMMM dd, yyyy', description: 'Custom format' },
];
//
readonly numberSamples = [
{ specifier: 'n*', description: 'Number' },
{ specifier: 'n*,', description: 'Number (thousands)' },
{ specifier: 'n*,,', description: 'Number (millions)' },
{ specifier: 'f*', description: 'Fixed-point' },
{ specifier: 'g*', description: 'General (no trailing zeros)' },
{ specifier: 'd*', description: 'Decimal (integers)' },
{ specifier: 'x*', description: 'Hexadecimal (integers)' },
{ specifier: 'c*', description: 'Currency' },
{ specifier: 'c*€', description: 'Currency (explicit currency symbol)' },
{ specifier: 'c* ', description: 'Currency (no currency symbol)' },
{ specifier: 'p*', description: 'Percent' },
];
//
numValue = 1234.5678;
precision = 2;
//
private _culture = 'en';
get culture(): string {
return this._culture;
}
set culture(value: string) {
if (this._culture != value) {
this._culture = value;
wijmo.changeCulture(value);
}
}
//
formatDate(format: string) {
return wijmo.Globalize.format(new Date(), format);
}
//
formatNumber(specifier: string) {
let format = specifier.replace('*', this.precision.toString());
return wijmo.Globalize.format(this.numValue, format);
}
//
}
//
//
enableProdMode();
// Resolve resources (templateUrl, styleUrls etc), After resolution all URLs have been converted into `template` strings.
ɵresolveComponentResources(fetch).then(() => {
// Bootstrap application
bootstrapApplication(AppComponent).catch((err) => console.error(err));
});
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Globalization/Formatting</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- Polyfills -->
<script src="https://cdn.jsdelivr.net/npm/core-js/client/shim.min.js"></script>
<!-- SystemJS -->
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="container-fluid">
<p>
<wj-menu [(value)]="culture" [header]="'Culture'">
<wj-menu-item [value]="'en'">English (US)</wj-menu-item>
<wj-menu-item [value]="'en-GB'">English (UK)</wj-menu-item>
<wj-menu-item [value]="'es'">Spanish</wj-menu-item>
<wj-menu-item [value]="'de'">German</wj-menu-item>
<wj-menu-item [value]="'it'">Italian</wj-menu-item>
<wj-menu-item [value]="'fr'">French</wj-menu-item>
<wj-menu-item [value]="'pt'">Portuguese</wj-menu-item>
<wj-menu-item [value]="'ru'">Russian</wj-menu-item>
<wj-menu-item [value]="'ja'">Japanese</wj-menu-item>
<wj-menu-item [value]="'ko'">Korean</wj-menu-item>
<wj-menu-item [value]="'zh-CN'">Chinese</wj-menu-item>
<wj-menu-item [value]="'th'">Thai</wj-menu-item>
</wj-menu>
</p>
<div class="card mb-3">
<div class="card-header">Dates</div>
<div class="card-body">
<table class="table table-sm">
<thead>
<th>format</th>
<th>description</th>
<th>result</th>
</thead>
<tbody>
@for(item of dateSamples; track item) {
<tr>
<td><b>{{ item.format }}</b></td>
<td>{{ item.description }}</td>
<td>{{ formatDate(item.format) }}</td>
</tr>
}
</tbody>
</table>
</div>
</div>
<div class="card">
<div class="card-header">Numbers</div>
<div class="card-body">
<div class="mb-3">
<label for="theValue" class="form-label">Value</label>
<wj-input-number id="theValue" [(value)]="numValue" [step]="1">
</wj-input-number>
</div>
<div class="mb-3">
<label for="thePrecision" class="form-label">Precision</label>
<wj-input-number id="thePrecision" [(value)]="precision" [step]="1" [min]="0" [max]="10">
</wj-input-number>
</div>
</div>
<div class="card-body">
<table class="table table-sm">
<thead>
<th>specifier</th>
<th>description</th>
<th class="text-end">result</th>
</thead>
<tbody>
@for (item of numberSamples; track item;) {
<tr>
<td><b>{{ item.specifier }}</b></td>
<td>{{ item.description }}</td>
<td class="text-end">{{ formatNumber(item.specifier) }}</td>
</tr>
}
</tbody>
</table>
</div>
</div>
</div>
body {
margin-bottom: 24px;
}
label {
margin-right: 3px;
}
(function (global) {
SystemJS.config({
transpiler: './plugin-typescript.js',
typescriptOptions: {
target: 'ES2022',
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
typescript: {
exports: 'ts',
},
'*.css': { loader: 'systemjs-plugin-css' },
'*.mjs': {
format: 'esm',
},
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.52-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/',
'agpcdn:': 'https://cdn.jsdelivr.net/npm/'
},
packageConfigPaths: ['/node_modules/*/package.json', '/node_modules/@angular/*/package.json', '/node_modules/@mescius/*/package.json'],
map: {
'core-js': 'agpcdn:core-js@2.6.12/client/shim.min.js',
'typescript': 'agpcdn:typescript@5.9.3/lib/typescript.min.js',
rxjs: 'agpcdn:rxjs@7.8.1/dist/bundles/rxjs.umd.min.js',
'systemjs-plugin-css': 'agpcdn:systemjs-plugin-css@0.1.37/css.js',
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.angular2.chart.analytics': 'cdn:@mescius/wijmo.angular2.chart.analytics/index.js',
'@mescius/wijmo.angular2.chart.animation': 'cdn:@mescius/wijmo.angular2.chart.animation/index.js',
'@mescius/wijmo.angular2.chart.annotation': 'cdn:@mescius/wijmo.angular2.chart.annotation/index.js',
'@mescius/wijmo.angular2.chart.finance.analytics': 'cdn:@mescius/wijmo.angular2.chart.finance.analytics/index.js',
'@mescius/wijmo.angular2.chart.finance': 'cdn:@mescius/wijmo.angular2.chart.finance/index.js',
'@mescius/wijmo.angular2.chart.hierarchical': 'cdn:@mescius/wijmo.angular2.chart.hierarchical/index.js',
'@mescius/wijmo.angular2.chart.interaction': 'cdn:@mescius/wijmo.angular2.chart.interaction/index.js',
'@mescius/wijmo.angular2.chart.radar': 'cdn:@mescius/wijmo.angular2.chart.radar/index.js',
'@mescius/wijmo.angular2.chart.map': 'cdn:@mescius/wijmo.angular2.chart.map/index.js',
'@mescius/wijmo.angular2.chart': 'cdn:@mescius/wijmo.angular2.chart/index.js',
'@mescius/wijmo.angular2.core': 'cdn:@mescius/wijmo.angular2.core/index.js',
'@mescius/wijmo.angular2.gauge': 'cdn:@mescius/wijmo.angular2.gauge/index.js',
'@mescius/wijmo.angular2.grid.detail': 'cdn:@mescius/wijmo.angular2.grid.detail/index.js',
'@mescius/wijmo.angular2.grid.filter': 'cdn:@mescius/wijmo.angular2.grid.filter/index.js',
'@mescius/wijmo.angular2.grid.grouppanel': 'cdn:@mescius/wijmo.angular2.grid.grouppanel/index.js',
'@mescius/wijmo.angular2.grid.search': 'cdn:@mescius/wijmo.angular2.grid.search/index.js',
'@mescius/wijmo.angular2.grid.multirow': 'cdn:@mescius/wijmo.angular2.grid.multirow/index.js',
'@mescius/wijmo.angular2.grid.sheet': 'cdn:@mescius/wijmo.angular2.grid.sheet/index.js',
'@mescius/wijmo.angular2.grid.transposed': 'cdn:@mescius/wijmo.angular2.grid.transposed/index.js',
'@mescius/wijmo.angular2.grid.transposedmultirow': 'cdn:@mescius/wijmo.angular2.grid.transposedmultirow/index.js',
'@mescius/wijmo.angular2.grid': 'cdn:@mescius/wijmo.angular2.grid/index.js',
'@mescius/wijmo.angular2.input': 'cdn:@mescius/wijmo.angular2.input/index.js',
'@mescius/wijmo.angular2.olap': 'cdn:@mescius/wijmo.angular2.olap/index.js',
'@mescius/wijmo.angular2.viewer': 'cdn:@mescius/wijmo.angular2.viewer/index.js',
'@mescius/wijmo.angular2.nav': 'cdn:@mescius/wijmo.angular2.nav/index.js',
'@mescius/wijmo.angular2.directivebase': 'cdn:@mescius/wijmo.angular2.directivebase/index.js',
'@mescius/wijmo.angular2.barcode.common': 'cdn:@mescius/wijmo.angular2.barcode.common/index.js',
'@mescius/wijmo.angular2.barcode.composite': 'cdn:@mescius/wijmo.angular2.barcode.composite/index.js',
'@mescius/wijmo.angular2.barcode.specialized': 'cdn:@mescius/wijmo.angular2.barcode.specialized/index.js',
'bootstrap.css': 'pcdn:bootstrap@5.3.8/dist/css/bootstrap.min.css',
jszip: 'agpcdn:jszip@3.10.1/dist/jszip.min.js',
'@angular/core': 'pcdn:@angular/core@21.1.0/fesm2022/core.mjs',
'@angular/core/primitives/di': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-di.mjs',
'@angular/core/primitives/signals': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-signals.mjs',
'@angular/core/primitives/event-dispatch': 'pcdn:@angular/core@21.1.0/fesm2022/primitives-event-dispatch.mjs',
'@angular/common': 'pcdn:@angular/common@21.1.0/fesm2022/common.mjs',
'@angular/common/http': 'pcdn:@angular/common@21.1.0/fesm2022/http.mjs',
'@angular/compiler': 'pcdn:@angular/compiler@21.1.0/fesm2022/compiler.mjs',
'@angular/platform-browser': 'pcdn:@angular/platform-browser@21.1.0/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'pcdn:@angular/platform-browser-dynamic@21.1.0/fesm2022/platform-browser-dynamic.mjs',
'@angular/router': 'pcdn:@angular/router@21.1.0/fesm2022/router.mjs',
'@angular/forms': 'pcdn:@angular/forms@21.1.0/fesm2022/forms.mjs',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
'./src': {
defaultExtension: 'ts',
},
node_modules: {
defaultExtension: 'js',
},
wijmo: {
defaultExtension: 'js',
},
},
});
})(this);

<template>
<div class="container-fluid">
<p>
<wj-menu :value="selectedValue" :header="'Culture'" :itemClicked="cultureChanged">
<wj-menu-item :value="'en'">English (US)</wj-menu-item>
<wj-menu-item :value="'en-GB'">English (UK)</wj-menu-item>
<wj-menu-item :value="'es'">Spanish</wj-menu-item>
<wj-menu-item :value="'de'">German</wj-menu-item>
<wj-menu-item :value="'it'">Italian</wj-menu-item>
<wj-menu-item :value="'fr'">French</wj-menu-item>
<wj-menu-item :value="'pt'">Portuguese</wj-menu-item>
<wj-menu-item :value="'ru'">Russian</wj-menu-item>
<wj-menu-item :value="'ja'">Japanese</wj-menu-item>
<wj-menu-item :value="'ko'">Korean</wj-menu-item>
<wj-menu-item :value="'zh-CN'">Chinese</wj-menu-item>
<wj-menu-item :value="'th'">Thai</wj-menu-item>
</wj-menu>
</p>
<div class="card mb-3">
<div class="card-header">Dates</div>
<div class="card-body">
<table class="table table-sm">
<thead>
<tr>
<th>format</th>
<th>description</th>
<th>result</th>
</tr>
</thead>
<tbody>
<tr v-for="item of dateSamples" :key="item.id">
<td>
<b>{{ item.format }}</b>
</td>
<td>{{ item.description }}</td>
<td>{{ formatDate(item.format) }}</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="card">
<div class="card-header">Numbers</div>
<div class="card-body">
<div class="mb-3">
<label for="theValue" class="form-label">Value</label>
<wj-input-number id="theValue" :value="numValue" :valueChanged="numberValueChanged" :step="1">
</wj-input-number>
</div>
<div class="mb-3">
<label for="thePrecision" class="form-label">Precision</label>
<wj-input-number id="thePrecision" :value="precision" :valueChanged="precisionValueChanged"
:step="1" :min="0" :max="10">
</wj-input-number>
</div>
</div>
<div class="card-body">
<table class="table table-sm">
<thead>
<tr>
<th>specifier</th>
<th>description</th>
<th class="text-end">result</th>
</tr>
</thead>
<tbody>
<tr v-for="item of numberSamples" :key="item.id">
<td>
<b>{{ item.specifier }}</b>
</td>
<td>{{ item.description }}</td>
<td class="text-end">{{ formatNumber(item.specifier) }}</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</template>
<script setup>
import * as wijmo from "@mescius/wijmo";
//cultures
import "@mescius/wijmo.cultures/wijmo.culture.en-GB.js";
import "@mescius/wijmo.cultures/wijmo.culture.es.js";
import "@mescius/wijmo.cultures/wijmo.culture.de.js";
import "@mescius/wijmo.cultures/wijmo.culture.it.js";
import "@mescius/wijmo.cultures/wijmo.culture.fr.js";
import "@mescius/wijmo.cultures/wijmo.culture.pt.js";
import "@mescius/wijmo.cultures/wijmo.culture.ru.js";
import "@mescius/wijmo.cultures/wijmo.culture.ja.js";
import "@mescius/wijmo.cultures/wijmo.culture.ko.js";
import "@mescius/wijmo.cultures/wijmo.culture.zh.js";
import "@mescius/wijmo.cultures/wijmo.culture.en.js";
import "@mescius/wijmo.cultures/wijmo.culture.th.js";
import { ref } from "vue";
const dateSamples = ref([
{ format: "d", description: "Short Date Pattern" },
{ format: "D", description: "Long Date Pattern" },
{ format: "f", description: "Full Date/Time Pattern (short time)" },
{ format: "F", description: "Full Date/Time Pattern (long time)" },
{ format: "t", description: "Short Time Pattern" },
{ format: "T", description: "Long Time Pattern" },
{ format: "'Q'Q yyyy", description: "Quarter/Year" },
{ format: "MMMM dd, yyyy", description: "Custom format" },
]);
const numberSamples = ref([
{ specifier: "n*", description: "Number" },
{ specifier: "n*,", description: "Number (thousands)" },
{ specifier: "n*,,", description: "Number (millions)" },
{ specifier: "f*", description: "Fixed-point" },
{ specifier: "g*", description: "General (no trailing zeros)" },
{ specifier: "d*", description: "Decimal (integers)" },
{ specifier: "x*", description: "Hexadecimal (integers)" },
{ specifier: "c*", description: "Currency" },
{
specifier: "c*€",
description: "Currency (explicit currency symbol)",
},
{ specifier: "c* ", description: "Currency (no currency symbol)" },
{ specifier: "p*", description: "Percent" },
]);
const numValue = ref(1234.5678);
const precision = ref(2);
const selectedValue = ref("en");
function formatDate(format) {
return wijmo.Globalize.format(new Date(), format);
}
function formatNumber(specifier) {
let format = specifier.replace("*", precision.value.toString());
return wijmo.Globalize.format(numValue.value, format);
}
function cultureChanged(sender) {
if (sender.selectedValue) {
selectedValue.value = sender.selectedValue;
wijmo.changeCulture(sender.selectedValue);
}
}
function numberValueChanged(sender) {
numValue.value = sender.value;
}
function precisionValueChanged(sender) {
precision.value = sender.value;
}
</script>
<style>
body {
margin-bottom: 24px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>MESCIUS Wijmo Globalization/Formatting</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<!-- SystemJS -->
<script src="compiler.js" type="module"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.5/dist/system.src.js" integrity="sha512-skZbMyvYdNoZfLmiGn5ii6KmklM82rYX2uWctBhzaXPxJgiv4XBwJnFGr5k8s+6tE1pcR1nuTKghozJHyzMcoA==" crossorigin="anonymous"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.js');
</script>
</head>
<body>
<div id="app">
</div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: '../plugin-vue/index.js' },
//'*.vue': { loader: 'systemjs-plugin-vue' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/wijmojs/5.20261.52-rc/',
'pcdn:': 'https://cdn.jsdelivr.net/npm/'
},
// map tells the System loader where to look for things
map: {
'@mescius/wijmo': 'cdn:@mescius/wijmo/index.js',
'@mescius/wijmo.input': 'cdn:@mescius/wijmo.input/index.js',
'@mescius/wijmo.styles': 'cdn:@mescius/wijmo.styles',
'@mescius/wijmo.cultures': 'cdn:@mescius/wijmo.cultures',
'@mescius/wijmo.chart': 'cdn:@mescius/wijmo.chart/index.js',
'@mescius/wijmo.chart.analytics': 'cdn:@mescius/wijmo.chart.analytics/index.js',
'@mescius/wijmo.chart.animation': 'cdn:@mescius/wijmo.chart.animation/index.js',
'@mescius/wijmo.chart.annotation': 'cdn:@mescius/wijmo.chart.annotation/index.js',
'@mescius/wijmo.chart.finance': 'cdn:@mescius/wijmo.chart.finance/index.js',
'@mescius/wijmo.chart.finance.analytics': 'cdn:@mescius/wijmo.chart.finance.analytics/index.js',
'@mescius/wijmo.chart.hierarchical': 'cdn:@mescius/wijmo.chart.hierarchical/index.js',
'@mescius/wijmo.chart.interaction': 'cdn:@mescius/wijmo.chart.interaction/index.js',
'@mescius/wijmo.chart.radar': 'cdn:@mescius/wijmo.chart.radar/index.js',
'@mescius/wijmo.chart.render': 'cdn:@mescius/wijmo.chart.render/index.js',
'@mescius/wijmo.chart.webgl': 'cdn:@mescius/wijmo.chart.webgl/index.js',
'@mescius/wijmo.chart.map': 'cdn:@mescius/wijmo.chart.map/index.js',
'@mescius/wijmo.gauge': 'cdn:@mescius/wijmo.gauge/index.js',
'@mescius/wijmo.grid': 'cdn:@mescius/wijmo.grid/index.js',
'@mescius/wijmo.grid.detail': 'cdn:@mescius/wijmo.grid.detail/index.js',
'@mescius/wijmo.grid.filter': 'cdn:@mescius/wijmo.grid.filter/index.js',
'@mescius/wijmo.grid.search': 'cdn:@mescius/wijmo.grid.search/index.js',
'@mescius/wijmo.grid.style': 'cdn:@mescius/wijmo.grid.style/index.js',
'@mescius/wijmo.grid.grouppanel': 'cdn:@mescius/wijmo.grid.grouppanel/index.js',
'@mescius/wijmo.grid.multirow': 'cdn:@mescius/wijmo.grid.multirow/index.js',
'@mescius/wijmo.grid.transposed': 'cdn:@mescius/wijmo.grid.transposed/index.js',
'@mescius/wijmo.grid.transposedmultirow': 'cdn:@mescius/wijmo.grid.transposedmultirow/index.js',
'@mescius/wijmo.grid.pdf': 'cdn:@mescius/wijmo.grid.pdf/index.js',
'@mescius/wijmo.grid.sheet': 'cdn:@mescius/wijmo.grid.sheet/index.js',
'@mescius/wijmo.grid.xlsx': 'cdn:@mescius/wijmo.grid.xlsx/index.js',
'@mescius/wijmo.grid.selector': 'cdn:@mescius/wijmo.grid.selector/index.js',
'@mescius/wijmo.grid.cellmaker': 'cdn:@mescius/wijmo.grid.cellmaker/index.js',
'@mescius/wijmo.nav': 'cdn:@mescius/wijmo.nav/index.js',
'@mescius/wijmo.odata': 'cdn:@mescius/wijmo.odata/index.js',
'@mescius/wijmo.olap': 'cdn:@mescius/wijmo.olap/index.js',
'@mescius/wijmo.rest': 'cdn:@mescius/wijmo.rest/index.js',
'@mescius/wijmo.pdf': 'cdn:@mescius/wijmo.pdf/index.js',
'@mescius/wijmo.pdf.security': 'cdn:@mescius/wijmo.pdf.security/index.js',
'@mescius/wijmo.viewer': 'cdn:@mescius/wijmo.viewer/index.js',
'@mescius/wijmo.xlsx': 'cdn:@mescius/wijmo.xlsx/index.js',
'@mescius/wijmo.undo': 'cdn:@mescius/wijmo.undo/index.js',
'@mescius/wijmo.interop.grid': 'cdn:@mescius/wijmo.interop.grid/index.js',
'@mescius/wijmo.touch': 'cdn:@mescius/wijmo.touch/index.js',
'@mescius/wijmo.cloud': 'cdn:@mescius/wijmo.cloud/index.js',
'@mescius/wijmo.barcode': 'cdn:@mescius/wijmo.barcode/index.js',
'@mescius/wijmo.barcode.common': 'cdn:@mescius/wijmo.barcode.common/index.js',
'@mescius/wijmo.barcode.composite': 'cdn:@mescius/wijmo.barcode.composite/index.js',
'@mescius/wijmo.barcode.specialized': 'cdn:@mescius/wijmo.barcode.specialized/index.js',
'@mescius/wijmo.vue2.chart.analytics': 'cdn:@mescius/wijmo.vue2.chart.analytics/index.js',
'@mescius/wijmo.vue2.chart.animation': 'cdn:@mescius/wijmo.vue2.chart.animation/index.js',
'@mescius/wijmo.vue2.chart.annotation': 'cdn:@mescius/wijmo.vue2.chart.annotation/index.js',
'@mescius/wijmo.vue2.chart.finance.analytics': 'cdn:@mescius/wijmo.vue2.chart.finance.analytics/index.js',
'@mescius/wijmo.vue2.chart.finance': 'cdn:@mescius/wijmo.vue2.chart.finance/index.js',
'@mescius/wijmo.vue2.chart.hierarchical': 'cdn:@mescius/wijmo.vue2.chart.hierarchical/index.js',
'@mescius/wijmo.vue2.chart.interaction': 'cdn:@mescius/wijmo.vue2.chart.interaction/index.js',
'@mescius/wijmo.vue2.chart.radar': 'cdn:@mescius/wijmo.vue2.chart.radar/index.js',
'@mescius/wijmo.vue2.chart.map': 'cdn:@mescius/wijmo.vue2.chart.map/index.js',
'@mescius/wijmo.vue2.chart': 'cdn:@mescius/wijmo.vue2.chart/index.js',
'@mescius/wijmo.vue2.core': 'cdn:@mescius/wijmo.vue2.core/index.js',
'@mescius/wijmo.vue2.gauge': 'cdn:@mescius/wijmo.vue2.gauge/index.js',
'@mescius/wijmo.vue2.grid.detail': 'cdn:@mescius/wijmo.vue2.grid.detail/index.js',
'@mescius/wijmo.vue2.grid.filter': 'cdn:@mescius/wijmo.vue2.grid.filter/index.js',
'@mescius/wijmo.vue2.grid.grouppanel': 'cdn:@mescius/wijmo.vue2.grid.grouppanel/index.js',
'@mescius/wijmo.vue2.grid.search': 'cdn:@mescius/wijmo.vue2.grid.search/index.js',
'@mescius/wijmo.vue2.grid.multirow': 'cdn:@mescius/wijmo.vue2.grid.multirow/index.js',
'@mescius/wijmo.vue2.grid.sheet': 'cdn:@mescius/wijmo.vue2.grid.sheet/index.js',
'@mescius/wijmo.vue2.grid.transposed': 'cdn:@mescius/wijmo.vue2.grid.transposed/index.js',
'@mescius/wijmo.vue2.grid.transposedmultirow': 'cdn:@mescius/wijmo.vue2.grid.transposedmultirow/index.js',
'@mescius/wijmo.vue2.grid': 'cdn:@mescius/wijmo.vue2.grid/index.js',
'@mescius/wijmo.vue2.input': 'cdn:@mescius/wijmo.vue2.input/index.js',
'@mescius/wijmo.vue2.olap': 'cdn:@mescius/wijmo.vue2.olap/index.js',
'@mescius/wijmo.vue2.viewer': 'cdn:@mescius/wijmo.vue2.viewer/index.js',
'@mescius/wijmo.vue2.nav': 'cdn:@mescius/wijmo.vue2.nav/index.js',
'@mescius/wijmo.vue2.base': 'cdn:@mescius/wijmo.vue2.base/index.js',
'@mescius/wijmo.vue2.barcode.common': 'cdn:@mescius/wijmo.vue2.barcode.common/index.js',
'@mescius/wijmo.vue2.barcode.composite': 'cdn:@mescius/wijmo.vue2.barcode.composite/index.js',
'@mescius/wijmo.vue2.barcode.specialized': 'cdn:@mescius/wijmo.vue2.barcode.specialized/index.js',
'bootstrap.css': 'pcdn:bootstrap@5.3.8/dist/css/bootstrap.min.css',
jszip: 'pcdn:jszip@3.8.0/dist/jszip.js',
css: 'pcdn:systemjs-plugin-css@0.1.37/css.js',
vue: 'pcdn:vue@3.4.21/dist/vue.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'@vue/compiler-dom': 'pcdn:@vue/compiler-dom@3.4.21/dist/compiler-dom.global.prod.js',
'@vue/runtime-dom': 'pcdn:@vue/runtime-dom@3.4.21/dist/runtime-dom.global.prod.js',
'@vue/shared': 'pcdn:@vue/shared@3.4.21/dist/shared.cjs.js',
'vue-loader': 'pcdn:systemjs-vue-browser@1.0.11/index.js',
//'systemjs-plugin-vue': 'pcdn:systemjs-plugin-vue@1.2.0/index.js',
'plugin-babel': 'pcdn:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'pcdn:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js',
},
rxjs: {
defaultExtension: 'js',
},
node_modules: {
defaultExtension: 'js',
},
wijmo: {
defaultExtension: 'js',
},
},
});
})(this);